/*
 * TalkClientReadSocket.java
 * Reads input from the server as a thread
 *
 * Created on November 4, 2003, 4:08 AM
 */

/**
 *
 * @author  Nathan Balon
 * CIS 527
 *
 */

import java.io.*;
import java.net.*;

public class TalkClientReadSocket extends Thread{
    
    private Socket s;                               // socket to read from
    private BufferedReader serverInputStream;       
    
    
    /** Creates a new instance of TalkClientReadSocket */
    public TalkClientReadSocket(Socket s) throws IOException {
        this.s = s;
        serverInputStream = new BufferedReader(
                               new InputStreamReader(s.getInputStream())); 
    }
    
    public void run(){
        try{
            while(true){
                // check if socket has a message to be read
                if(serverInputStream.ready()){
                    // write message on a new line
                    System.out.println(" ");
                    // display th message receive from the server
                    System.out.println(serverInputStream.readLine());
                    // display the prompt 
                    System.out.print("Chat> ");
                }
            }
        }
        catch (IOException e){
            e.printStackTrace();
        }
    }
    
}
