
/*
 * TalkServer.java
 *
 * Created on October 28, 2003, 11:07 PM
 * Main execution for the TalkServer
 * Creates new thread for each socket
 *
 */

/**
 *
 * @author  Nathan Balon
 * CIS 527
 *
 *
 */

import java.io.*;
import java.net.*;
import java.util.*;

public class TalkServer {
        
    private final static short SERVER_PORT = 1717;    // port # of the chat server 

    /** Creates a new instance of TalkServer */
    public TalkServer() {
        System.out.println("TalkServer Started on port #"
                           + SERVER_PORT);   
    }

    public static void main(String args[]){
       
        int threadCount = 1;             // count of threads
        try{
            TalkServer server = new TalkServer();
            // create a server socket
            ServerSocket serverSocket = new ServerSocket(SERVER_PORT);
        
            for(;;){
                // accpet incoming client socket
                Socket incoming = serverSocket.accept();
                // create a new thread for the client socket
                Thread t = new TalkServerHandler(incoming, threadCount);
                // start the thread
                t.start();
                threadCount++;
            }
        }
        catch(Exception e){
            e.printStackTrace();
        }
    }     
}
